      ******************************************************************
      * Licensed materials - Property of IBM                           *
      * 5724-T07(C) Copyright IBM Corp. 2020                           *
      * All rights reserved                                            *
      * US Government users restricted rights  -  Use, duplication or  *
      * disclosure restricted by GSA ADP schedule contract with IBM    *
      * Corp.                                                          *
      *                                                                *
      * IBM Developer for z/OS (IDz)                                   *
      * IBM z/OS Automated Unit Testing Framework (zUnit)              *
      * Enterprise COBOL zUnit Test Case Sample SUB02A.cbl             *
      *                                                                *
      * @since   15.0.0                                                *
      * @version 15.0.0                                                *
      ******************************************************************
       IDENTIFICATION DIVISION.
       PROGRAM-ID. SUB02A.
       ENVIRONMENT DIVISION.
       DATA DIVISION.
       WORKING-STORAGE SECTION.

       LINKAGE SECTION.
       01 PARM1          PIC X(6).
       01 PARM2.
         05 SNUM10-02    PIC S9(08)V9(02) VALUE 0.
         05 SLNUM10      PIC S9(10) SIGN LEADING VALUE 0.
         05 SBIN09       PIC S9(09) BINARY VALUE 0.
         05 SPACK04      PIC S9(04) COMP-3 VALUE 0.

       PROCEDURE DIVISION USING PARM1 PARM2.

           DISPLAY '** SUB02A START'

           MOVE "SUB02A" TO PARM1
           MOVE 1111 TO SNUM10-02
           MOVE 1111 TO SLNUM10
           MOVE 1111 TO SBIN09
           MOVE 1111 TO SPACK04

           DISPLAY '** SUB02A END'

      *****************************************************
           GOBACK.